## semi 1.13.7+emiko.1.13.9.20000105

=== Makefile ===
#
# Makefile for SEMI kernel.
#

PACKAGE = semi
API	= 1.13
RELEASE = 7

FLIM_API= 1.13

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p

EMACS	= emacs
XEMACS	= xemacs
FLAGS   = -batch -q -no-site-file -l SEMI-MK

PREFIX	= NONE
LISPDIR = NONE
PACKAGEDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI	= *.elc

VERSION	= $(API).$(RELEASE)
ARC_DIR = /pub/mule/semi/semi-$(API)-for-flim-$(FLIM_API)


elc:
	$(EMACS) $(FLAGS) -f compile-semi \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

install-elc:	elc
	$(EMACS) $(FLAGS) -f install-semi \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

install:	install-elc


package:
	$(XEMACS) $(FLAGS) -f compile-semi-package $(PACKAGEDIR)

install-package:	package
	$(XEMACS) $(FLAGS) -f install-semi-package $(PACKAGEDIR)


clean:
	-$(RM) $(GOMI)


tar:
	cvs commit
	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
	cd /tmp; \
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
		export -d $(PACKAGE)-$(VERSION) \
		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
		semi'
	$(RM) /tmp/$(PACKAGE)-$(VERSION)/ftp.in
	cd /tmp; $(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" \
		| sed "s/PACKAGE/$(PACKAGE)/" \
		| sed "s/FLIM_API/$(FLIM_API)/" > ftp

release:
	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)

## semi 1.14.3.cvs.2001.08.10

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 #
 
 PACKAGE = semi
-API	= 1.13
-RELEASE = 7
+API	= 1.14
+RELEASE = 3
 
-FLIM_API= 1.13
+FLIM_API= 1.14
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -24,7 +24,7 @@
 GOMI	= *.elc
 
 VERSION	= $(API).$(RELEASE)
-ARC_DIR = /pub/mule/semi/semi-$(API)-for-flim-$(FLIM_API)
+ARC_DIR = /home/tomo/public_html/comp/emacsen/lisp/semi/semi-$(API)-for-flim-$(FLIM_API)
 
 
 elc:
@@ -51,7 +51,7 @@
 
 tar:
 	cvs commit
-	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
+	sh -c 'cvs tag -R $(PACKAGE)-`echo $(VERSION) | tr . _`; \
 	cd /tmp; \
 	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
 		export -d $(PACKAGE)-$(VERSION) \

## semi 1.14.6+0.20100219

=== debian/changelog ===
semi (1.14.6+0.20100219-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2010-02-19)
  * debian/patches/10_semi-pgg-parse-4880.diff: Patch from David Maus to
    fix missing mandatory MIME parameter in multipart/signed entities.
    (closes: #584113)
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 02 Jun 2010 05:38:52 +0900

semi (1.14.6+0.20100207-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2010-02-07)
    - Fix non-compliant messages that are signed and encrypted with OpenPGP.
      (closes: #555472)
    - Fix missing mandatory "Version: 1" field for application/pgp-encrypted.
      (closes: #554720)
  * debian/rules: Add direntry to *.texi for *.info. (closes: #528895)
  * debian/prerm, debian/postinst: Removed.
  * debian/control:
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Set Section to lisp.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 08 Feb 2010 23:40:04 +0900

semi (1.14.6+0.20070618-4) unstable; urgency=low

  * debian/emacsen-install: Don't fail even if mailcrypt isn't installed.
    (closes: #523309)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 10 Apr 2009 23:51:31 +0900

semi (1.14.6+0.20070618-3) unstable; urgency=low

  * debian/emacsen-*: Rewritten.
  * debian/rules, debian/dirs: Install obsolete files in the attic directory.
  * debian/docs: Install README* instead of README.en.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/rules, debian/__env.el: Don't use __env.el.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control:
    - Remove `make' from `Depends:'.
    - Move `Homepage:' from Description to the header.
    - Update Standards-Version to 3.8.1.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 08 Apr 2009 23:55:21 +0900

semi (1.14.6+0.20070618-2) unstable; urgency=medium

  * debian/emacsen-install.in: Fix that installation succeeds despite
    byte-compilation errors. (closes: #506044)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 18 Nov 2008 23:25:51 +0900

semi (1.14.6+0.20070618-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2007-06-18)
  * debian/rules: Use emacs instead of emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jul 2007 21:59:54 +0900

semi (1.14.6+0.20070608-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2007-06-08)
  * debian/control: Depend on emacs instead of emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 10 Jun 2007 00:21:58 +0900

semi (1.14.6+0.20070424-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2007-04-24)
  * debian/emacsen-install.in: Recompile cmail which uses SEMI's macro.
  * Rename debian/env.el to debian/__env.el.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 30 Apr 2007 22:37:57 +0900

semi (1.14.6+0.20061220-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2006-12-20)
  * debian/emacsen-install.in: Don't recompile w3m-el. (Instead, flim
    recompiles w3m-el.)
  * debian/prerm: Check whether the argument is "remove" or "upgrade".
  * debian/control:
    - Depends apel (>= 10.7).
    - Set Priority to extra.
    - Add `Homepage:' to Description.
  * debian/watch: Set Action to uupdate.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 19:48:38 +0900

semi (1.14.6+0.20061202-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2006-12-02)
  * debian/copyright: Reformat copyright years.
  * debian/copyright: Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat,  2 Dec 2006 22:17:07 +0900

semi (1.14.6+0.20060623-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2006-06-23)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 24 Jun 2006 01:24:31 +0900

semi (1.14.6+0.20060328-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2006-03-28)
  * debian/emacsen-startup: Disable mime-w3m by default. (closes: #352320)
  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/control (Standards-Version): 3.6.2 -> 3.7.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed,  7 Jun 2006 21:03:28 +0900

semi (1.14.6+0.20050614-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2005-06-14)
  * debian/rules: Install smime.el in `/usr/share/semi' instead of the
    site-lisp directory, because it is obsolete.
  * debian/dirs: Add `/usr/share/semi'.
  * debian/emacsen-startup: Set mime-setup-enable-inline-html before loading
    `mime-setup'.
  * debian/control (Suggests): Remove `pgp'.
  * debian/control (Build-Depends-Indep): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.6.2.
  * debian/copyright: Update the postal address of the Free Software
    Foundation, etc.
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Ditto.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 23 Jan 2006 21:54:14 +0900

semi (1.14.6+0.20050510-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14 branch on 2005-05-10)
  * debian/emacsen-install.in: Fix that mime-w3m is not byte-compiled if
    w3m-el is installed first and then flim and semi.
  * debian/env.el: Prefer iso-2022-jp instead of euc-jp. 
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/watch: New file.
  * debian/control: Revise description.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat,  4 Jun 2005 14:48:23 +0900

semi (1.14.6+0.20040803-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2004-08-03 at 02:53 +0900)


=== debian/control ===
Source: semi
Section: lisp
Priority: extra
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: emacs
Standards-Version: 3.8.4
Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/SEMI/

Package: semi
Architecture: all
Depends: emacs | emacsen, apel (>= 10.7), flim (>= 1:1.14), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnupg, mailcrypt, wl | wl-beta | t-gnus
Replaces: tm
Conflicts: wemi, tm
Description: library to provide MIME feature for emacsen
 SEMI is a library to provide MIME feature for emacsen.  MIME is a
 proposed internet standard for including content and headers other
 than (ASCII) plain text in messages.

## semi 1.14.6+0.20101114

=== debian/changelog ===
semi (1.14.6+0.20101114-1) unstable; urgency=low

  * New upstream release. (CVS semi-1_14-wl branch on 2010-11-14)
  * debian/patches: Removed. (merged upstream)
  * debian/control:
    - Add GNU Emacs flavors to Build-Depends-Indep.
    - Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 May 2011 00:46:54 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs
-Standards-Version: 3.8.4
+Build-Depends-Indep: emacs | emacs23 | emacs22
+Standards-Version: 3.9.2
 Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/SEMI/
 
 Package: semi

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=semi
ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
EMACS=emacs

build: build-stamp
build-stamp:
	dh_testdir

	for fbase in mime-ui-en mime-ui-ja; do \
	  if egrep '^@direntry' $$fbase.texi 2>&1 >/dev/null; then \
	    cp $$fbase.texi debian/$$fbase.texi; \
	  else \
	    perl -pe 's/^\@titlepage/\@dircategory Emacs\n\@direntry\n* '$$fbase' ('$(PACKAGE)'): ('$$fbase').  MIME user interface for Emacs.\n\@end direntry\n\n\@titlepage/' $$fbase.texi >debian/$$fbase.texi; \
	  fi; \
	  $(EMACS) -batch -q -no-site-file \
	    -eval '(set-language-environment "Japanese")' \
	    -eval "(prefer-coding-system 'iso-2022-jp)" \
	    -eval '(find-file "debian/'$$fbase'.texi")' \
	    -l texinfmt -f texinfo-every-node-update \
	    -f texinfo-format-buffer -f save-buffer; \
	  mv -f debian/$$fbase.info .; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	rm -f debian/*.texi debian/*.info *.info .\#* debian/.\#* *.euc.texi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp Makefile SEMI-* *.el $(ELDIR)/
	rm -f $(ELDIR)/SEMI-naming.ol

# Install obsolete file in the attic directory.
	for f in smime.el; do \
	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
	done

	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen --priority 51
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/semi/semi-1.14-for-flim-1.14/semi-([0-9]+\..+)\.tar\.gz debian uupdate

## semi 1.14.7~0.20120428

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PACKAGE = semi
 API	= 1.14
-RELEASE = 3
+RELEASE = 6
 
 FLIM_API= 1.14
 
@@ -24,7 +24,8 @@
 GOMI	= *.elc
 
 VERSION	= $(API).$(RELEASE)
-ARC_DIR = /home/tomo/public_html/comp/emacsen/lisp/semi/semi-$(API)-for-flim-$(FLIM_API)
+ARC_DIR_PREFIX = /home/kanji/tomo/public_html/comp/emacsen/lisp
+ARC_DIR = $(ARC_DIR_PREFIX)/semi/semi-$(API)-for-flim-$(FLIM_API)
 
 
 elc:

=== debian/changelog ===
semi (1.14.7~0.20120428-26) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2019-07-08
  * Drop 020_nomule.patch
  * Skip old flavors xemacs20 and xemacs19
  * Update debhelper-compat to 12
  * Update Standards-Version to 4.4.0
  * Recompile w3m-el

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 22:13:17 +0900

semi (1.14.7~0.20120428-25) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Update 010_semi-epg.patch to 2019-06-26
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * New patch 020_nomule.patch for XEmacs without MULE

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 08 Jul 2019 00:03:33 +0900

semi (1.14.7~0.20120428-24) unstable; urgency=medium

  * Fix handling for xemacs21-mule/nomule
  * Check stamp file so that source file isn't newer
  * Handle symlinks for emacsen-startup
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 19 Aug 2018 23:16:55 +0900

semi (1.14.7~0.20120428-23) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 18:01:45 +0900

semi (1.14.7~0.20120428-22) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2018-02-05
  * Update debhelper compat version to 10
  * Update Priority to optional
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 06 Feb 2018 22:12:14 +0900

semi (1.14.7~0.20120428-21) unstable; urgency=medium

  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Jan 2017 00:16:52 +0900

semi (1.14.7~0.20120428-20) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2016-08-16
  * Update Standards-Version to 3.9.8
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 14:04:40 +0900

semi (1.14.7~0.20120428-19) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2016-03-01
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.7

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Mar 2016 11:04:00 +0900

semi (1.14.7~0.20120428-18) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2015-05-25
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Jun 2015 19:52:17 +0900

semi (1.14.7~0.20120428-17) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2015-05-07

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 08 May 2015 08:01:12 +0900

semi (1.14.7~0.20120428-16) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2015-05-03
    - Fix for CCL unusable environments

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 May 2015 11:17:12 +0900

semi (1.14.7~0.20120428-15) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2015-02-04
  * Update debian/copyright
  * Update Vcs-Browser
  * Do not install mime-ui-*.sgml

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 18:30:04 +0900

semi (1.14.7~0.20120428-14) unstable; urgency=medium

  * Sync 010_semi-epg.patch from wanderlust on 2014-10-25
  * Update debian/copyright
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Oct 2014 09:55:40 +0900

semi (1.14.7~0.20120428-13) unstable; urgency=medium

  * Sync 010_semi-epg.patch from wanderlust on 2014-09-15

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Sep 2014 21:34:04 +0900

semi (1.14.7~0.20120428-12) unstable; urgency=medium

  * Sync 010_semi-epg.patch on 2014-05-31
  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 04 Jun 2014 22:23:53 +0900

semi (1.14.7~0.20120428-11) unstable; urgency=medium

  * Do not install obsolete attic/*.el files

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 21 May 2014 19:51:31 +0900

semi (1.14.7~0.20120428-10) unstable; urgency=medium

  * Sync 010_semi-epg.patch on 2014-04-17

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 Apr 2014 21:59:28 +0900

semi (1.14.7~0.20120428-9) unstable; urgency=medium

  * Update 010_semi-epg.patch, sync on 2014-02-21

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Mar 2014 20:48:57 +0900

semi (1.14.7~0.20120428-8) unstable; urgency=medium

  * Update 010_semi-epg.patch, sync on 2014-02-13
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 15 Feb 2014 20:15:43 +0900

semi (1.14.7~0.20120428-7) unstable; urgency=medium

  * Update 010_semi-epg.patch, sync on 2014-01-31
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 31 Jan 2014 23:39:49 +0900

semi (1.14.7~0.20120428-6) unstable; urgency=medium

  * Update 010_semi-epg.patch, sync on 2014-01-20
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Jan 2014 19:56:22 +0900

semi (1.14.7~0.20120428-5) unstable; urgency=low

  * Update 010_semi-epg.patch, sync on 2013-12-20
  * Set mime-edit-pgp-encrypt-to-self to t in the startup file 51semi.el

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Dec 2013 07:07:39 +0900

semi (1.14.7~0.20120428-4) unstable; urgency=low

  * Update 010_semi-epg.patch, sync on 2013-10-06
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 23:32:13 +0900

semi (1.14.7~0.20120428-3) unstable; urgency=low

  * Do not fail with emacs22 in emacsen-startup (closes: #717810)
  * Update 010_semi-epg.patch, sync on 2013-07-20
  * Remove 020_Upstream-not-in-semi-epg.patch (merged semi-epg)



=== debian/control ===
Source: semi
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/semi
Vcs-Git: https://salsa.debian.org/debian/semi.git
Homepage: http://git.chise.org/elisp/semi/

Package: semi
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacsen, apel (>= 10.7), flim (>= 1:1.14), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnupg, mailcrypt, wl | wl-beta | t-gnus
Replaces: tm
Conflicts: wemi, tm
Description: library to provide MIME feature for emacsen
 SEMI is a library to provide MIME feature for emacsen.  MIME is a
 proposed internet standard for including content and headers other
 than (ASCII) plain text in messages.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #export DH_VERBOSE=1
 
 PACKAGE=semi
-ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
+ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)
 EMACS=emacs
 
-build: build-stamp
-build-stamp:
+build-indep: build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 
 	for fbase in mime-ui-en mime-ui-ja; do \
@@ -26,17 +26,21 @@
 	  mv -f debian/$$fbase.info .; \
 	done
 
-	touch build-stamp
+	touch $@
+
+build-arch:
+
+build: build-indep build-arch
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install-stamp
+	rm -f *build*-stamp
 	rm -f debian/*.texi debian/*.info *.info .\#* debian/.\#* *.euc.texi
 
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -45,14 +49,12 @@
 	cp Makefile SEMI-* *.el $(ELDIR)/
 	rm -f $(ELDIR)/SEMI-naming.ol
 
-# Install obsolete file in the attic directory.
+# Do not install obsolete file
 	for f in smime.el; do \
-	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
+	  if [ -f $(ELDIR)/$$f ]; then rm -f $(ELDIR)/$$f; fi; \
 	done
 
-	touch install-stamp
-
-binary-indep: build install
+binary-indep: install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -67,7 +69,7 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: build install
+binary-arch:
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://git.chise.org/elisp/dist/semi/semi-1.14-for-flim-1.14/semi-([0-9]+\..+)\.tar\.gz debian uupdate

## semi 1.14.7~0.20201104

=== debian/changelog ===
semi (1.14.7~0.20201104-1) unstable; urgency=medium

  * Switch Homepage to github.com/wanderlust/semi
  * Add the get-orig-source target
  * New upstream version 1.14.7~0.20201024
  * Drop debian/patches
  * Drop xemacs21, emacs23 and older versions
  * Drop unneeded configuraion in emacsen-startup
  * Update Texinfo files handling
  * Add debian/upstream/metadata
  * Update debian/watch to use mode=git
  * Update description to mention SEMI-EPG
  * Update debian/copyright
  * Don't install obsolete ChangeLog
  * Update debhelper-compat to 13
  * Drop handling of pgg*.el and postpet.el
  * Add Breaks to prevent failure with xemacs21
  * New upstream version 1.14.7~0.20201104

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Nov 2020 21:20:50 +0900

semi (1.14.7~0.20120428-28) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2020-04-29

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 May 2020 00:08:24 +0900

semi (1.14.7~0.20120428-27) unstable; urgency=medium

  * Update 010_semi-epg.patch to 2020-04-13
  * Add debian/upstream/metadata
  * Add Rules-Requires-Root: no
  * Update debian/watch
  * Update debian/copyright, mention SEMI-EPG patch
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2020 18:08:47 +0900

=== debian/control ===
Source: semi
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/semi
Vcs-Git: https://salsa.debian.org/debian/semi.git
Homepage: https://github.com/wanderlust/semi
Rules-Requires-Root: no

Package: semi
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel (>= 10.7), flim (>= 1:1.14), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnupg, mailcrypt, wl | wl-beta | t-gnus
Replaces: tm
Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~)
Conflicts: wemi, tm
Description: library to provide MIME feature for emacsen
 SEMI is a library to provide MIME feature for emacsen.  MIME is a
 proposed internet standard for including content and headers other
 than (ASCII) plain text in messages.
 .
 This package provides SEMI-EPG, a variant of SEMI using EasyPG and
 lexical binding mainly maintained for Wanderlust mail/news reader.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=semi
ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)
EMACS=emacs

get-orig-source:
	wget -O upstream.tar.gz https://github.com/wanderlust/semi/tarball/semi-1_14-wl
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "semi_1.14.7~0.$$1$$2$$3.orig.tar.gz\n"; exit}'`

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	for fbase in mime-ui-en mime-ui-ja; do \
	  $(EMACS) -batch -q -no-site-file \
	    -eval '(set-language-environment "Japanese")' \
	    -eval "(prefer-coding-system 'utf-8)" \
	    -eval '(find-file "'$$fbase'.texi")' \
	    -l texinfmt -f texinfo-every-node-update \
	    -f texinfo-format-buffer -f save-buffer; \
	done

	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	rm -f *.info .\#* debian/.\#*

	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp Makefile SEMI-* *.el $(ELDIR)/
	rm -f $(ELDIR)/SEMI-naming.ol

# Do not install obsolete file
	for f in smime.el; do \
	  if [ -f $(ELDIR)/$$f ]; then rm -f $(ELDIR)/$$f; fi; \
	done

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen --priority 51
	dh_installinfo
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## semi 1.14.7~0.20201115

=== Makefile ===
--- 
+++ 
@@ -49,22 +49,6 @@
 clean:
 	-$(RM) $(GOMI)
 
-
-tar:
-	cvs commit
-	sh -c 'cvs tag -R $(PACKAGE)-`echo $(VERSION) | tr . _`; \
-	cd /tmp; \
-	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
-		export -d $(PACKAGE)-$(VERSION) \
-		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
-		semi'
-	$(RM) /tmp/$(PACKAGE)-$(VERSION)/ftp.in
-	cd /tmp; $(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
-	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
-	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" \
-		| sed "s/PACKAGE/$(PACKAGE)/" \
-		| sed "s/FLIM_API/$(FLIM_API)/" > ftp
-
 release:
 	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
 	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)

=== debian/changelog ===
semi (1.14.7~0.20201115-2) unstable; urgency=medium

  * Update Info handling to use makeinfo
  * Update debian/upstream/metadata to use https
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 18:31:52 +0900

semi (1.14.7~0.20201115-1) unstable; urgency=medium

  * New upstream version 1.14.7~0.20201115
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Dec 2020 11:19:02 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
-Standards-Version: 4.5.0
+Build-Depends-Indep: texinfo
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/semi
 Vcs-Git: https://salsa.debian.org/debian/semi.git
 Homepage: https://github.com/wanderlust/semi

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 PACKAGE=semi
 ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)
-EMACS=emacs
 
 get-orig-source:
 	wget -O upstream.tar.gz https://github.com/wanderlust/semi/tarball/semi-1_14-wl
@@ -14,16 +13,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-
-	for fbase in mime-ui-en mime-ui-ja; do \
-	  $(EMACS) -batch -q -no-site-file \
-	    -eval '(set-language-environment "Japanese")' \
-	    -eval "(prefer-coding-system 'utf-8)" \
-	    -eval '(find-file "'$$fbase'.texi")' \
-	    -l texinfmt -f texinfo-every-node-update \
-	    -f texinfo-format-buffer -f save-buffer; \
-	done
-
+	for fbase in mime-ui-en mime-ui-ja; do makeinfo $$fbase.texi; done
 	touch $@
 
 build-arch:

## semi 1.14.7~0.20210613

=== debian/changelog ===
semi (1.14.7~0.20210613-1) unstable; urgency=medium

  * New upstream version 1.14.7~0.20210613
  * Simplify Info handling

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 19 Aug 2021 19:48:59 +0900

## semi 1.14.7~0.20220503

=== debian/changelog ===
semi (1.14.7~0.20220503-1) unstable; urgency=medium

  * New upstream version 1.14.7~0.20220503
  * Update debian/copyright
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 May 2022 15:26:32 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/semi
 Vcs-Git: https://salsa.debian.org/debian/semi.git
 Homepage: https://github.com/wanderlust/semi

## semi 1.14.7~0.20230104

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 LISPDIR = NONE
 PACKAGEDIR = NONE
 VERSION_SPECIFIC_LISPDIR = NONE
+PACKAGE_LISPDIR = package-user-dir
 
 GOMI	= *.elc
 
@@ -29,21 +30,14 @@
 
 
 elc:
-	$(EMACS) $(FLAGS) -f compile-semi \
-		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)
+	$(EMACS) $(FLAGS) -f compile-semi $(PREFIX) $(LISPDIR) \
+		$(VERSION_SPECIFIC_LISPDIR) $(PACKAGE_LISPDIR)
 
 install-elc:	elc
-	$(EMACS) $(FLAGS) -f install-semi \
-		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)
+	$(EMACS) $(FLAGS) -f install-semi $(PREFIX) $(LISPDIR) \
+		$(VERSION_SPECIFIC_LISPDIR) $(PACKAGE_LISPDIR)
 
 install:	install-elc
-
-
-package:
-	$(XEMACS) $(FLAGS) -f compile-semi-package $(PACKAGEDIR)
-
-install-package:	package
-	$(XEMACS) $(FLAGS) -f install-semi-package $(PACKAGEDIR)
 
 
 clean:

=== debian/changelog ===
semi (1.14.7~0.20230104-1) unstable; urgency=medium

  * New upstream version 1.14.7~0.20230104
  * Prevent native compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Relax dependencies on emacs flavors
  * Remove unnecessary dependencies (closes: #1013863)
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 15:54:11 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/semi
 Vcs-Git: https://salsa.debian.org/debian/semi.git
 Homepage: https://github.com/wanderlust/semi
@@ -12,7 +12,8 @@
 
 Package: semi
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel (>= 10.7), flim (>= 1:1.14), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common, apel, flim, ${misc:Depends}
+Recommends: emacs-nox | emacs
 Suggests: gnupg, mailcrypt, wl | wl-beta | t-gnus
 Replaces: tm
 Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~)

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	for fbase in mime-ui-en mime-ui-ja; do makeinfo $$fbase.texi; done
+	makeinfo mime-ui-en.texi
+	makeinfo mime-ui-ja.texi
 	touch $@
 
 build-arch:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.14.7~0.%cd, date=%Y%m%d" \
https://github.com/wanderlust/semi HEAD debian uupdate
